maxdb_commit
maxdb_connect_error
MaxDB Functions
PHP Manual

# maxdb_connect_errno

Returns the error code from last connect call

### Description

int maxdb_connect_errno ( void )

The maxdb_connect_errno function will return the last error code number for last call to maxdb_connect. If no errors have occurred, this function will return zero.

### Return Values

An error code value for the last call to maxdb_connect, if it failed. zero means no error occurred.

### Examples

Example #1 maxdb_connect_errno sample

`<?php
$link = maxdb_connect("localhost", "XXXXXXXX", "YYYYYYYYY");
if (!$link) {
printf("Can't connect to localhost. Errorcode: %d\n", maxdb_connect_errno());
}
?>`

The above example will output something similar to:

    PHP Warning:  maxdb_connect(): -4008 POS(1) Unknown user name/password combination [08004] <...>
    Can't connect to localhost. Errorcode: -4008

### See Also

- maxdb_connect
- maxdb_connect_error
- maxdb_errno
- maxdb_error
- maxdb_sqlstate